%global git_date    20120609
%global git_version 097ed8
%global pkgname django-avatar

Name:		python-django-avatar
Version:	2.0a1
Release:	7.%{git_date}git%{git_version}%{?dist}
Summary:	A django module for handling user avatars

Group:		Development/Libraries
License:	BSD
URL:		https://github.com/ericflo/django-avatar

# git clone https://github.com/ericflo/django-avatar.git python-django-avatar
# cd python-django-avatar;
# git archive --format=tar HEAD | xz  > python-django-avatar-{version}.{git_date}git{git_version}.tar.xz
Source0:	%{name}-%{version}.%{git_date}git%{git_version}.tar.xz

# wget https://github.com/ericflo/django-avatar/pull/37.patch -O python-django-avatar.patch
# Added patch for django-1.4 compatibility
patch0:		python-django-avatar.patch

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python2-devel

Requires:	python-django python-imaging

Provides:	%{pkgname} = %{version}-%{release}
Obsoletes:	%{pkgname} < 2.0a1-5

%description
Django-avatar is a reusable application for handling user avatars. It has the
ability to default to Gravatar if no avatar is found for a certain user.
Django-avatar automatically generates thumbnails and stores them to your
default file storage back-end for retrieval later.

%prep
%setup -q -cn %{name}
%patch0 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}
%find_lang django

%files -f django.lang
%doc CHANGELOG CONTRIBUTORS.txt README.txt LICENSE.txt
%dir %{python_sitelib}/avatar/
%{python_sitelib}/avatar/*.py*
%{python_sitelib}/avatar/management/
%{python_sitelib}/avatar/media/
%{python_sitelib}/avatar/templates/
%{python_sitelib}/avatar/locale/*/*/*.po
%{python_sitelib}/avatar/templatetags/
%{python_sitelib}/*.egg-info/

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a1-7.20120609git097ed8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a1-6.20120609git097ed8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 10 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0a1-5.20120609git097ed8
- correct django-avatar obs_ver

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a1-4.20120609git097ed8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a1-3.20120609git097ed8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 25 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 2.0a1-2.20120609git097ed8
- Added patch for support django>=1.4 functionality

* Fri Jun 09 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 2.0a1-1.20120609git097ed8
- Renamed from django-avatar to python-django-avatar

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0a1-5.20110709git097ed8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 31 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 2.0a1-4.20110709git097ed8
- add requires on python-imaging

* Mon Jul 18 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 2.0a1-3.20110709git097ed8
- add requires on Django

* Mon Jun 27 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 2.0a1-2.20110709git097ed8
- Spec improved from Rahul Sundaram

* Mon Jun 27 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 2.0a1-1.20110709git097ed8
- Initial RPM release
